import StepperL298M
import time
class StepperClock:
    def __init__(self,stepperHour,stepperMin):
        self._stepperMinute = stepperMin
        self._stepperHour = stepperHour

    def update(self):
        hour = time.localtime()[3]
        minute = time.localtime()[4]
        self._stepperHour.rotateTo(hour/60)
        self._stepperMinute.rotateTo(minute/60)
        self._stepperHour.update()
        self._stepperMinute.update()

    def waitForStillstand(self):
        while not (self._stepperHour.isAtTarget() or self._stepperMinute.isAtTarget()):
            self._stepperHour.update()
            self._stepperMinute.update()
            time.sleep(0.1)

    def disablePower(self):
        self._stepperHour.disablePower()
        self._stepperMinute.disablePower()
        #self._stepperHour.disablePower()
